%% Form 1: Use this if 'wish_tree.pl' is in the default
%%         module search-path (i.e. the current working directory)
:- use_module(wish_tree).

%% Form 2: Use this if you've put 'wish_tree.pl' with the
%%         other SWI-prolog libraries (i.e. /usr/lib/pl-3.3.8/library)
%:- use_module(library(wish_tree)). 

wt(T) :- wt(1,T).

wt(1, s/[np/[],vp/[]]).
wt(2, s/[np/[john/[]],vp/[v/[loves/[]],np/[mary/[]]]]).
wt(3, s/[np/[det/(-every),n1/[adj/(-intelligent),n/(-citizen)]],vp/[v/(-votes),np/(-anarchist)]]).

test(I) :- wt(I,T), wish_tree(T).

wis(WIS) :- wish_tree:wish_streams(WIS,_).

:- test(3).
